"""
This module defines `rwth_colors` following the 2013 RWTH corporate design (CD) color scheme.
These colors are propagated to Matplotlib as well.
"""

# RWTH Colors
rwth_colors = {
  'blue':    '#00549F',
  'blue-75': '#407FB7',
  'blue-50': '#8EBAE5',
  'blue-25': '#C7DDF2',
  'blue-10': '#E8F1FA',
  'black':    '#000000',
  'black-75': '#646567',
  'black-50': '#9C9E9F',
  'black-25': '#CFD1D2',
  'black-10': '#ECEDED',
  'magenta':    '#E30066',
  'magenta-75': '#E96088',
  'magenta-50': '#F19EB1',
  'magenta-25': '#F9D2DA',
  'magenta-10': '#FDEEF0',
  'yellow':    '#FFED00',
  'yellow-75': '#FFF055',
  'yellow-50': '#FFF59B',
  'yellow-25': '#FFFAD1',
  'yellow-10': '#FFFDEE',
  'petrol':    '#006165',
  'petrol-75': '#2D7F83',
  'petrol-50': '#7DA4A7',
  'petrol-25': '#BFD0D1',
  'petrol-10': '#E6ECEC',
  'turquoise':    '#0098A1',
  'turquoise-75': '#00B1B7',
  'turquoise-50': '#89CCCF',
  'turquoise-25': '#CAE7E7',
  'turquoise-10': '#EBF6F6',
  'green':    '#57AB27',
  'green-75': '#8DC060',
  'green-50': '#B8D698',
  'green-25': '#DDEBCE',
  'green-10': '#F2F7EC',
  'maigrun':    '#BDCD00',
  'maigrun-75': '#D0D95C',
  'maigrun-50': '#E0E69A',
  'maigrun-25': '#F0F3D0',
  'maigrun-10': '#F9FAED',
  'orange':    '#F6A800',
  'orange-75': '#FABE50',
  'orange-50': '#FDD48F',
  'orange-25': '#FEEAC9',
  'orange-10': '#FFF7EA',
  'red':    '#CC071E',
  'red-75': '#D85C41',
  'red-50': '#E69679',
  'red-25': '#F3CDBB',
  'red-10': '#FAEBE3',
  'bordeaux':    '#A11035',
  'bordeaux-75': '#B65256',
  'bordeaux-50': '#CD8B87',
  'bordeaux-25': '#E5C5C0',
  'bordeaux-10': '#F5E8E5',
  'violet':    '#612158',
  'violet-75': '#834E75',
  'violet-50': '#A8859E',
  'violet-25': '#D2C0CD',
  'violet-10': '#EDE5EA',
  'purple':    '#7A6FAC',
  'purple-75': '#9B91C1',
  'purple-50': '#BCB5D7',
  'purple-25': '#DEDAEB',
  'purple-10': '#F2F0F7',
}

# Append prefix
rwth_colors = {'rwth:' + name: value for name, value in rwth_colors.items()}